
#ifndef LIRIWAYLANDCLIENT_EXPORT_H
#define LIRIWAYLANDCLIENT_EXPORT_H

#ifdef LIRIWAYLANDCLIENT_STATIC_DEFINE
#  define LIRIWAYLANDCLIENT_EXPORT
#  define LIRIWAYLANDCLIENT_NO_EXPORT
#else
#  ifndef LIRIWAYLANDCLIENT_EXPORT
#    ifdef LIRI_BUILD_WAYLANDCLIENT_LIB
        /* We are building this library */
#      define LIRIWAYLANDCLIENT_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIRIWAYLANDCLIENT_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIRIWAYLANDCLIENT_NO_EXPORT
#    define LIRIWAYLANDCLIENT_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIRIWAYLANDCLIENT_DEPRECATED
#  define LIRIWAYLANDCLIENT_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIRIWAYLANDCLIENT_DEPRECATED_EXPORT
#  define LIRIWAYLANDCLIENT_DEPRECATED_EXPORT LIRIWAYLANDCLIENT_EXPORT LIRIWAYLANDCLIENT_DEPRECATED
#endif

#ifndef LIRIWAYLANDCLIENT_DEPRECATED_NO_EXPORT
#  define LIRIWAYLANDCLIENT_DEPRECATED_NO_EXPORT LIRIWAYLANDCLIENT_NO_EXPORT LIRIWAYLANDCLIENT_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIRIWAYLANDCLIENT_NO_DEPRECATED
#    define LIRIWAYLANDCLIENT_NO_DEPRECATED
#  endif
#endif

#endif /* LIRIWAYLANDCLIENT_EXPORT_H */
